/**
 * Copyright (c) 2021 Dominic Msters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "main.h"

int32_t main() {
  // Create the game instance
  game_t *game = gameInit();
  if(game == NULL) return 1;

  // Start running the game instance
  gameStart(game);

  // Game has finished running, cleanup.
  gameDispose(game);

  return 0;
}